/* D-RexGxt - D-RexGxt - GUI Design Tool for GWT
 * Copyright (c) 2008,  KPS Corporation
 * All rights reserved.
 *
 * Open Source License
 * ------------------------------------------------------------------------------------------
 * D-RexGxt is licensed under the terms of the Open Source GPL 3.0 license.
 *
 * http://www.gnu.org/licenses/gpl.html
 *
 * --
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 */
package jp.co.kpscorp.gwt.client.design.gxt.widget;

import java.util.ArrayList;


public class ArrayListWidget<T> extends WrapWidget {
	private ArrayList<T> layout;
	
	private ColumnModelWidget cmw;

	public ArrayListWidget(ArrayList<T> layout, ColumnModelWidget cmw) {
		super();
		this.layout = layout;
		this.cmw = cmw;
	}

	public ColumnModelWidget getParent() {
		return cmw;
	}

	public ArrayList<T> getWrapList() {
		return layout;
	}

	public boolean add(T o) {
		return layout.add(o);
	}
	
	



}
